Package uk.ac.starlink.topcat.plot2

## Class StiltsInvoker

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.StiltsInvoker

-     public class StiltsInvoker
      extends java.lang.Object

  Defines a way of invoking the STILTS command.
  Since:
    22 Sep 2017
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StiltsInvoker` | `CLASSPATH` | Instance using "java" command.
    `static StiltsInvoker[]` | `INVOKERS` | List of all known invokers.
    `static StiltsInvoker` | `STILTS` | Instance using "stilts" command.
    `static StiltsInvoker` | `TOPCAT` | Instance using "topcat" command.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StiltsInvoker​(java.lang.String name, uk.ac.starlink.ttools.task.CredibleString invocation)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.ttools.task.CredibleString` | `getInvocation()` | Returns the invocation string.
    `java.lang.String` | `toString()` | Returns name for presentation to user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STILTS

          public static final StiltsInvoker STILTS

      Instance using "stilts" command.

    - #### TOPCAT

          public static final StiltsInvoker TOPCAT

      Instance using "topcat" command.

    - #### CLASSPATH

          public static final StiltsInvoker CLASSPATH

      Instance using "java" command.

    - #### INVOKERS

          public static final StiltsInvoker[] INVOKERS

      List of all known invokers.

  - ### Constructor Detail

    - #### StiltsInvoker

          public StiltsInvoker​(java.lang.String name,
                               uk.ac.starlink.ttools.task.CredibleString invocation)

      Constructor.
      Parameters:
        `name` - invoker name for presentation to the user
        `invocation` - invocation text

  - ### Method Detail

    - #### getInvocation

          public uk.ac.starlink.ttools.task.CredibleString getInvocation()

      Returns the invocation string.
      Returns:
        invocation string, including trailing whitespace

    - #### toString

          public java.lang.String toString()

      Returns name for presentation to user.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.